Issue 117153 - utl::Bootstrap leaks Impl
Summary: utl::Bootstrap leaks Impl
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: DEV300m100
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-01 15:41 UTC by Stephan Bergmann
Modified: 2017-05-20 10:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2011-03-01 15:41:31 UTC
At least on DEV300_m101 based CWS sb140, unxlngx6 non-pro, running soffice under valgrind --leak-check=full with an org.openofice.test.OfficeConnection-based test that simply calls OfficeConnection.setUp() immediately followed by OfficeConnection.tearDown(), valgrind reports

> 88 bytes in 1 blocks are possibly lost in loss record 3,136 of 4,842
> at 0x4C27878: malloc (valgrind-3.6.1/coregrind/m_replacemalloc/vg_replace_malloc.c:236)
> by 0x4E9B7CC: rtl_allocateMemory (sal/rtl/source/alloc_global.c:305)
> by 0x4013EE: allocate(unsigned long, (anonymous namespace)::AllocatorTraits const&) (sal/cpprt/operators_new_delete.cxx:146)
> by 0x4014C5: operator new(unsigned long) (sal/cpprt/operators_new_delete.cxx:193)
> by 0x92D5145: utl::Bootstrap::data() (unotools/source/config/bootstrap.cxx:155)
> by 0x92D55EE: utl::Bootstrap::locateBaseInstallation(rtl::OUString&) (unotools/source/config/bootstrap.cxx:692)
> by 0x1C0A18E4: framework::SubstitutePathVariables::SetPredefinedPathVariables(framework::PredefinedPathVariables&) (framework/source/services/substitutepathvars.cxx:1164)
> by 0x1C0A4869: framework::SubstitutePathVariables::SubstitutePathVariables(com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory> const&) (framework/source/services/substitutepathvars.cxx:612)
> by 0x1C0A4BFD: framework::SubstitutePathVariables::impl_createInstance(com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory> const&) (framework/source/services/substitutepathvars.cxx:593)
> by 0x6D60818: cppu::OSingleFactoryHelper::createInstanceEveryTime(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:183)
> by 0x6D5F9D0: cppu::OSingleFactoryHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:215)
> by 0x6D600C5: cppu::OFactoryComponentHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:495)
> by 0x6D61AF8: cppu::ORegistryFactoryHelper::createInstanceEveryTime(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:763)
> by 0x6D5F9D0: cppu::OSingleFactoryHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:215)
> by 0x6D60136: cppu::OFactoryComponentHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:499)
> by 0x15E24849: stoc_smgr::OServiceManager::createInstanceWithContext(rtl::OUString const&, com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (stoc/source/servicemanager/servicemanager.cxx:1250)
> by 0x15E2270D: stoc_smgr::OServiceManager::createInstance(rtl::OUString const&) (stoc/source/servicemanager/servicemanager.cxx:1360)
> by 0x1C09A5F9: framework::PathSettings::fa_getSubstitution() (framework/source/services/pathsettings.cxx:1113)
> by 0x1C09ACAC: framework::PathSettings::impl_subst(framework::PathSettings::PathInfo&, unsigned char) (framework/source/services/pathsettings.cxx:651)
> by 0x1C09C766: framework::PathSettings::impl_updatePath(rtl::OUString const&, unsigned char) (framework/source/services/pathsettings.cxx:414)
> by 0x1C09CADC: framework::PathSettings::impl_readAll() (framework/source/services/pathsettings.cxx:237)
> by 0x1C09D266: framework::PathSettings::impl_createInstance(com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory> const&) (framework/source/services/pathsettings.cxx:125)
> by 0x6D60818: cppu::OSingleFactoryHelper::createInstanceEveryTime(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:183)
> by 0x6D5F9D0: cppu::OSingleFactoryHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:215)
> by 0x6D600C5: cppu::OFactoryComponentHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:495)
> by 0x6D61AF8: cppu::ORegistryFactoryHelper::createInstanceEveryTime(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:763)
> by 0x6D5F9D0: cppu::OSingleFactoryHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:215)
> by 0x6D60136: cppu::OFactoryComponentHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (cppuhelper/source/factory.cxx:499)
> by 0x15E24849: stoc_smgr::OServiceManager::createInstanceWithContext(rtl::OUString const&, com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) (stoc/source/servicemanager/servicemanager.cxx:1250)
> by 0x15E2270D: stoc_smgr::OServiceManager::createInstance(rtl::OUString const&) (stoc/source/servicemanager/servicemanager.cxx:1360)
> by 0x9330486: SvtPathOptions_Impl::SvtPathOptions_Impl() (unotools/source/config/pathoptions.cxx:481)
> by 0x933104E: SvtPathOptions::SvtPathOptions() (unotools/source/config/pathoptions.cxx:563)
> by 0x5288D52: desktop::Desktop::CreateTemporaryDirectory() (desktop/source/app/appinit.cxx:412)
> by 0x528A8D5: desktop::Desktop::RegisterServices(com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory>&) (desktop/source/app/appinit.cxx:306)
> by 0x527CBE5: desktop::Desktop::Main() (desktop/source/app/app.cxx:1614)
> by 0x99220AB: ImplSVMain() (vcl/source/app/svmain.cxx:189)
> by 0x99221E6: SVMain() (vcl/source/app/svmain.cxx:226)
> by 0x52A827B: soffice_main (desktop/source/app/sofficemain.cxx:49)
> by 0x401192: sal_main (desktop/source/app/main.c:35)
> by 0x401177: main (desktop/source/app/main.c:34)
Comment 1 Stephan Bergmann 2011-03-02 08:45:40 UTC
fixed as
Comment 2 Stephan Bergmann 2011-03-02 08:47:02 UTC
fixed as <http://hg.services.openoffice.org/cws/sb140/rev/f0baa9abdc8d>
Comment 3 Oliver-Rainer Wittmann 2012-06-13 12:26:45 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.